Bug 7576 - Add ISSN to SearchForTitleIn
Summary: Add ISSN to SearchForTitleIn
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-22 06:46 UTC by Katrin Fischer
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7576: Add ISSN to SearchForTitleIn preference (9.51 KB, patch)
2012-02-23 22:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7576: Add ISSN to SearchForTitleIn preference (12.04 KB, patch)
2012-02-23 23:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7576: Add ISSN to SearchForTitleIn preference (12.56 KB, patch)
2012-02-24 09:55 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-02-22 06:46:04 UTC
Currently we only support ISBN, but not ISSN in the SearchForTitleIn system preference:

"Include a "More Searches" box on the detail pages of items on the OPAC, with the following HTML (leave blank to disable):
Note: The placeholders {BIBLIONUMBER}, {CONTROLNUMBER}, {TITLE}, {ISBN} and {AUTHOR} will be replaced with information from the displayed record."
Comment 1 Katrin Fischer 2012-02-23 22:59:05 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-02-23 23:06:49 UTC Comment hidden (obsolete)
Comment 3 Magnus Enger 2012-02-24 09:55:28 UTC
Created attachment 7850 [details] [review]
Bug 7576: Add ISSN to SearchForTitleIn preference

Adds a new placeholder {ISSN} to the system preference SearchForTitleIn.
For a record with multiple ISSNs only the first ISSN will be used.

Addition: Makes a small change to GetMarcControlnumber so that it checks for
NORMARC too. If you set your system preference to NORMARC, it should output
{CONTROLNUMBER} correctly now.

For testing add following code to the system preference and check output
of SearchForTitleIn for different records in your OPAC and all 3 available
views (normal, MARC and ISBD):
<li>ISSN: {ISSN}</li>
<li>ISBN: {ISBN}</li>
<li>001: {CONTROLNUMBER}</li>

Patch also includes some unit tests:
perl t/db_dependent/Biblio.t

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Tested with marcflavour = NORMARC, on one book and one periodical record.

* Book

- Before the patch:
ISSN: {ISSN}
ISBN: 0375726446
001:

- After the patch:
ISSN:
ISBN: 0375726446
001: 022976914

* Journal

- Before the patch:
ISSN: {ISSN}
ISBN:
001:

- After the patch:
ISSN: 1890-6931
ISBN:
001: 080721370

Looks good in all 3 views! Thanks for fixing the 001 thing for NORMARC!

Also tested with marcflavour = MARC21, on the same records with the same good
results. Signing off!
Comment 4 Ian Walls 2012-02-24 20:33:13 UTC
Clean, consistent patch with unit tests.  Fixes some grammar in the notes, and also fixes NORMARC support for 001.  All in all, a MARVELOUS patch.  Marking Passed QA.
Comment 5 Paul Poulain 2012-02-27 10:46:20 UTC
patch pushed, after testing it also work fine for UNIMARC

chris_n = I wouldn't object if you decided to apply this for 3.6